Package org.springframework.security.config.crypto

# Class RsaKeyConversionServicePostProcessor

java.lang.Object
org.springframework.security.config.crypto.RsaKeyConversionServicePostProcessor

All Implemented Interfaces:
  `org.springframework.beans.factory.config.BeanFactoryPostProcessor`

public class RsaKeyConversionServicePostProcessor extends Object implements org.springframework.beans.factory.config.BeanFactoryPostProcessor
Adds `RsaKeyConverters` to the configured `ConversionService` or `PropertyEditor`s

Since:
  5.2

## Constructor Summary

Constructors
Constructor
Description
`RsaKeyConversionServicePostProcessor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)`
`void`
`setResourceLoader(org.springframework.core.io.ResourceLoader resourceLoader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RsaKeyConversionServicePostProcessor

public RsaKeyConversionServicePostProcessor()

## Method Details

### setResourceLoader

public void setResourceLoader(org.springframework.core.io.ResourceLoader resourceLoader)

### postProcessBeanFactory

public void postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory) throws org.springframework.beans.BeansException

Specified by:
  `postProcessBeanFactory` in interface `org.springframework.beans.factory.config.BeanFactoryPostProcessor`
Throws:
  `org.springframework.beans.BeansException`